Name:           python-webtest1.3
Version:        1.3.4
Release:        15%{?dist}
Summary:        Helper to test WSGI applications

Group:          Development/Languages
License:        MIT
URL:            http://pythonpaste.org/webtest/
Source0:        http://pypi.python.org/packages/source/W/WebTest/WebTest-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  python2-webob
BuildRequires:  python2-dtopt
Requires:       python2-webob

%description
WebTest wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

This provides convenient full-stack testing of applications written
with any WSGI-compatible framework.

%prep
%setup -q -n WebTest-%{version}
rm -rf *.egg-info

# This removes some doctest parameters that cause our check section to fail
rm setup.cfg

%build
%{__python2} setup.py build bdist_egg

%install
mkdir -p %{buildroot}%{python2_sitelib}
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg

# Fix script-without-shebang
find %{buildroot}%{python2_sitelib} -name "*.py" -exec chmod a-x {} \;

%check
PYTHONPATH=$(pwd) %{__python2} setup.py test

%files
%doc docs/*
%{python2_sitelib}/WebTest-%{version}*.egg/


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.3.4-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Aug 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.3.4-13
- Add a build-time dependency on python2-devel and modernize spec file

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 18 2012 Ralph Bean <rbean@redhat.com> - 1.3.4-4
- Removed python_sitelib macro definition from top of spec.  Not required.

* Thu Dec 06 2012 Ralph Bean <rbean@redhat.com> - 1.3.4-3
- Forked from rawhide to create a forward compat el6 package.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 24 2012 Ricky Zhou <ricky@fedoraproject.org> - 1.3.4-1
- Update to 1.3.4.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Luke Macken <lmacken@redhat.com> - 1.3.3-1
- Update to 1.3.3

* Fri Jul 15 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.3-1
- Update to 1.2.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 05 2010 Luke Macken <lmacken@redhat.com> - 1.2.2-1
- Update to 1.2.2
- Add python-dtopt to the BuildRequires
- Include the docs again

* Sun Jul 25 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot[com> - 1.2.1-3
- Disable tests and docs for now. They are not included in this tarball

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 09 2010 Luke Macken <lmacken@redhat.com> - 1.2.1-1
- Update to 1.2.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 1.2-1
- Update to 1.2

* Tue Apr 14 2009 Ricky Zhou <ricky@fedoraproject.org> - 1.1-3
- Change define to global.
- Remove old >= 8 conditional.
- Remove unnecessary BuildRequires on python-devel.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 06 2008 Ricky Zhou <ricky@fedoraproject.org> - 1.1-1
- Upstream released new version.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-4
- Rebuild for Python 2.6

* Thu Jul 17 2008 Ricky Zhou <ricky@fedoraproject.org> - 1.0-3
- Update Requires for python-webob rename.
- Add BuildRequires on python-webob for tests.

* Sat Jul 07 2008 Ricky Zhou <ricky@fedoraproject.org> - 1.0-2
- Add %%check section.

* Sat Jun 14 2008 Ricky Zhou <ricky@fedoraproject.org> - 1.0-1
- Initial RPM Package.
